Skip to main content
GET
Retrieve bounty
This page documents the Legacy API. For new integrations, use Retrieve Bounty in the Current API.

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Path Parameters

id
string
required

The unique identifier of the workforce bounty to retrieve.

Example:

"bnty_xxxxxxxxxxxxx"

Response

A successful response

A privately accessible bounty.

bounty_type
enum<string>
required

The underlying bounty implementation type.

Available options:
classic,
user_funded,
workforce
created_at
string<date-time>
required

The datetime the bounty was created.

Example:

"2023-12-01T05:00:00.401Z"

currency
enum<string>
required

The currency used for the bounty funds.

Available options:
usd,
sgd,
inr,
aud,
brl,
cad,
dkk,
eur,
nok,
gbp,
sek,
chf,
hkd,
huf,
jpy,
mxn,
myr,
pln,
czk,
nzd,
aed,
eth,
ape,
cop,
ron,
thb,
bgn,
idr,
dop,
php,
try,
krw,
twd,
vnd,
pkr,
clp,
uyu,
ars,
zar,
dzd,
tnd,
mad,
kes,
kwd,
jod,
all,
xcd,
amd,
bsd,
bhd,
bob,
bam,
khr,
crc,
xof,
egp,
etb,
gmd,
ghs,
gtq,
gyd,
ils,
jmd,
mop,
mga,
mur,
mdl,
mnt,
nad,
ngn,
mkd,
omr,
pyg,
pen,
qar,
rwf,
sar,
rsd,
lkr,
tzs,
ttd,
uzs,
rub,
btc,
cny,
usdt,
kzt,
awg,
whop_usd,
xau
description
string
required

The description of the bounty.

id
string
required

The unique identifier for the bounty.

Example:

"bnty_xxxxxxxxxxxxx"

status
enum<string>
required

The current lifecycle status of the bounty.

Available options:
published,
archived,
scheduled
title
string
required

The title of the bounty.

total_available
number
required

The total amount currently funded in the bounty pool for payout.

Example:

6.9

total_paid
number
required

The total amount paid out for this bounty.

Example:

6.9

updated_at
string<date-time>
required

The datetime the bounty was last updated.

Example:

"2023-12-01T05:00:00.401Z"

vote_threshold
integer
required

The number of watcher votes required before the submission can resolve.

Example:

42